> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/rayls/execution-api/eth_maxpriorityfeepergas.md).

# eth\_maxPriorityFeePerGas

Get the priority fee needed to be included in a block.

This method will use `20` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

`None`

## Returns

`QUANTITY` - The current max priority fee per gas in wei.

```bash
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0x1" // 1
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.rayls.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_maxPriorityFeePerGas","params":[],"id":73}'

```

{% endtab %}
{% endtabs %}
